#include <fstream>

using namespace std;

int main(){
  long long n, a[100000];
  ifstream fi;
  fi.open("DEMDUONG.INP");
  fi>>n;
  for (int i=0;i<n;i++){fi>>a[i];}
  int num=0,sum=0;
  for (int k=0;k<n;k++){
    if (a[k]>0){num++;sum=sum+a[k];}
  }
  fi.close();
  ofstream fo;
  fo.open("DEMDUONG.OUT");
  fo<<num<<" "<<sum;
}
